Problem Classifications - List
Listet alle für einen bestimmten Azure Dienst verfügbaren Problemklassifizierungen (Kategorien) auf. Verwenden Sie immer die dienst- und Problemklassifizierungen, die programmgesteuert abgerufen wurden. Diese Übung stellt sicher, dass Sie immer über die neuesten Dienst- und Problemklassifizierungs-IDs verfügen.
GET https://management.azure.com/providers/Microsoft.Support/services/{serviceName}/problemClassifications?api-version=2026-06-01
URI-Parameter
| Name | In | Erforderlich | Typ | Beschreibung |
|---|---|---|---|---|
|
service
|
path | True |
string |
Name des Azure-Diensts. |
|
api-version
|
query | True |
string minLength: 1 |
Die API-Version, die für diesen Vorgang verwendet werden soll. |
Antworten
| Name | Typ | Beschreibung |
|---|---|---|
| 200 OK |
Der Azure-Vorgang wurde erfolgreich abgeschlossen. |
|
| Other Status Codes |
Unerwartete Fehlerantwort. |
Sicherheit
azure_auth
Azure Active Directory OAuth2 Flow.
Typ:
oauth2
Ablauf:
implicit
Autorisierungs-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiche
| Name | Beschreibung |
|---|---|
| user_impersonation | Sich als Ihr Benutzerkonto ausgeben |
Beispiele
Gets list of problemClassifications for a service for which a support ticket can be created
Beispielanforderung
GET https://management.azure.com/providers/Microsoft.Support/services/service_guid/problemClassifications?api-version=2026-06-01
Beispiel für eine Antwort
{
"value": [
{
"name": "problemClassification_guid_1",
"type": "Microsoft.Support/problemClassifications",
"id": "/providers/Microsoft.Support/services/service_guid/problemClassifications/problemClassification_guid_1",
"properties": {
"displayName": "Reservation Management / Exchanges and Refunds",
"secondaryConsentEnabled": [
{
"type": "DatabricksConsent",
"description": "For faster resolution, allow Microsoft and Databricks to temporarily have read and write access to your Databricks workspace. We will only access to read and write to your cluster for the purpose of resolving your support issue and in conformance with Microsoft's Privacy Policy."
}
]
}
},
{
"name": "problemClassification_guid_2",
"type": "Microsoft.Support/problemClassifications",
"id": "/providers/Microsoft.Support/services/service_guid/problemClassifications/problemClassification_guid_2",
"properties": {
"displayName": "Reservation Management / Request Invoices",
"secondaryConsentEnabled": [
{
"type": "DatabricksConsent",
"description": "For faster resolution, allow Microsoft and Databricks to temporarily have read and write access to your Databricks workspace. We will only access to read and write to your cluster for the purpose of resolving your support issue and in conformance with Microsoft's Privacy Policy."
}
]
}
},
{
"name": "problemClassification_guid_3",
"type": "Microsoft.Support/problemClassifications",
"id": "/providers/Microsoft.Support/services/service_guid/problemClassifications/problemClassification_guid_3",
"properties": {
"displayName": "Reservation Management / Other Iissues or Requests",
"secondaryConsentEnabled": [
{
"type": "DatabricksConsent",
"description": "For faster resolution, allow Microsoft and Databricks to temporarily have read and write access to your Databricks workspace. We will only access to read and write to your cluster for the purpose of resolving your support issue and in conformance with Microsoft's Privacy Policy."
}
]
}
},
{
"name": "problemClassification_guid_4",
"type": "Microsoft.Support/problemClassifications",
"id": "/providers/Microsoft.Support/services/service_guid/problemClassifications/problemClassification_guid_4",
"properties": {
"displayName": "Other General Billing Questions",
"secondaryConsentEnabled": [
{
"type": "DatabricksConsent",
"description": "For faster resolution, allow Microsoft and Databricks to temporarily have read and write access to your Databricks workspace. We will only access to read and write to your cluster for the purpose of resolving your support issue and in conformance with Microsoft's Privacy Policy."
}
]
}
}
]
}
Definitionen
| Name | Beschreibung |
|---|---|
|
created |
Der Identitätstyp, der die Ressource erstellt hat. |
|
Error |
Zusätzliche Informationen zum Fehler bei der Ressourcenverwaltung. |
|
Error |
Die Fehlerdetails. |
|
Error |
Fehlerantwort |
|
Problem |
ProblemClassification-Ressourcenobjekt. |
|
Problem |
Sammlung von ProblemClassification-Ressourcen. |
|
Secondary |
Diese Eigenschaft gibt an, ob die sekundäre Zustimmung für die Problemklassifizierung vorhanden ist. |
|
system |
Metadaten zur Erstellung und letzten Änderung der Ressource. |
createdByType
Der Identitätstyp, der die Ressource erstellt hat.
| Wert | Beschreibung |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Zusätzliche Informationen zum Fehler bei der Ressourcenverwaltung.
| Name | Typ | Beschreibung |
|---|---|---|
| info |
object |
Zusätzliche Informationen. |
| type |
string |
Typ der Zusatzinformationen. |
ErrorDetail
Die Fehlerdetails.
| Name | Typ | Beschreibung |
|---|---|---|
| additionalInfo |
Die Zusatzinformationen zum Fehler. |
|
| code |
string |
Der Fehlercode. |
| details |
Die Fehlerdetails. |
|
| message |
string |
Die Fehlermeldung. |
| target |
string |
Der Fehlerzielwert. |
ErrorResponse
Fehlerantwort
| Name | Typ | Beschreibung |
|---|---|---|
| error |
Das Fehlerobjekt. |
ProblemClassification
ProblemClassification-Ressourcenobjekt.
| Name | Typ | Beschreibung |
|---|---|---|
| id |
string (arm-id) |
Vollqualifizierte Ressourcen-ID für die Ressource. Z. B. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
Der Name der Ressource |
| properties.displayName |
string |
Lokalisierter Name der Problemklassifizierung. |
| properties.secondaryConsentEnabled |
Diese Eigenschaft gibt an, ob die sekundäre Zustimmung für die Problemklassifizierung vorhanden ist. |
|
| systemData |
Azure Resource Manager-Metadaten, die createdBy- und modifiedBy-Informationen enthalten. |
|
| type |
string |
Der Typ der Ressource. Z. B. "Microsoft.Compute/virtualMachines" oder "Microsoft.Storage/storageAccounts" |
ProblemClassificationsListResult
Sammlung von ProblemClassification-Ressourcen.
| Name | Typ | Beschreibung |
|---|---|---|
| nextLink |
string |
Der Link zur nächsten Seite von Elementen |
| value |
Liste der ProblemClassification-Ressourcen. |
SecondaryConsentEnabled
Diese Eigenschaft gibt an, ob die sekundäre Zustimmung für die Problemklassifizierung vorhanden ist.
| Name | Typ | Beschreibung |
|---|---|---|
| description |
string |
Beschreibung der Zustimmung des Benutzers. |
| type |
string |
Der Azure-Dienst, für den die sekundäre Zustimmung für die Fallerstellung erforderlich ist. |
systemData
Metadaten zur Erstellung und letzten Änderung der Ressource.
| Name | Typ | Beschreibung |
|---|---|---|
| createdAt |
string (date-time) |
Der Zeitstempel der Ressourcenerstellung (UTC). |
| createdBy |
string |
Die Identität, die die Ressource erstellt hat. |
| createdByType |
Der Identitätstyp, der die Ressource erstellt hat. |
|
| lastModifiedAt |
string (date-time) |
Der Zeitstempel der letzten Änderung der Ressource (UTC) |
| lastModifiedBy |
string |
Die Identität, die die Ressource zuletzt geändert hat. |
| lastModifiedByType |
Der Identitätstyp, der die Ressource zuletzt geändert hat. |